Results 1 to 7 of 7

Thread: can't install pipelight

  1. #1
    Join Date
    Jul 2012
    Beans
    89

    can't install pipelight

    Hi Everyone
    I've been looking for a solution to silverlight. Moonlight doesn't seem to exist anymore, but if I've understood it correctly Pipelight could offer the solution I'm looking for. So I tried to install pipelight in the terminal but failed, and I don't know what the fix is

    I found the command line code online:

    sudo apt-add-repository ppa:ehoover/compholio
    sudo apt-add-repository ppa:mqchael/pipelight
    sudo apt-get update
    sudo apt-get install pipelight(it's the same code on every website I checked)

    I copied and pasted the first line, and got this error message

    p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directoryYou are about to add the following PPA to your system:

    More info: https://launchpad.net/~ehoover/+archive/compholio
    Press [ENTER] to continue or ctrl-c to cancel adding it
    I tried the next line just in case and got the same massage. I've also look on the developers site and achwiki but am too much of a novice to make head or tail of it. So could you spell it out to me as you would a small child

    Thanks

  2. #2
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 15.04 Vivid Vervet

    Re: can't install pipelight

    Try installing the missing package:
    Code:
    sudo apt-get update && sudo apt-get install libp11-kit-gnome-keyring

  3. #3
    Join Date
    Jul 2012
    Beans
    89

    Re: can't install pipelight

    Thanks
    I'm a relative linux novice as I'm sure you've guessed but give me a command line I can copy and paste and I'm an old pro, lol

    I'll let you know how it turns out

    update
    a lot of stuff just happened and at the end of it I got this message

    Package libp11-kit-gnome-keyring is not available, but is referred to by another package.This may mean that the package is missing, has been obsoleted, or
    is only available from another source


    E: Package 'libp11-kit-gnome-keyring' has no installation candidate
    and I just tired installing pipelight just in case but still got the other error message
    Last edited by Kojak Peg; October 9th, 2013 at 11:25 PM.

  4. #4
    Join Date
    Jul 2007
    Location
    Magic City of the Plains
    Beans
    Hidden!
    Distro
    Xubuntu 15.04 Vivid Vervet

    Re: can't install pipelight

    Which version of Ubuntu are you running? Can you run the following command and copy/paste all the output here?
    Code:
    cat /etc/apt/sources.list

  5. #5
    Join Date
    Jul 2012
    Beans
    89

    Re: can't install pipelight

    I've just had to reinstall my os. I was using zorin but I've changed to ubuntu 12.04. So I'll start from the beginning and see how I get on with it. Hopefully it'll work this time. Either way thank you for all your help. I'll leave this unsolved for the moment

  6. #6
    Join Date
    Sep 2013
    Beans
    5

    Re: can't install pipelight

    Hi Koak,
    goto the multimedia sub forum see post started by Kols (19 july).
    It works a treat, no sudo required

    Roy

  7. #7
    Join Date
    Jul 2007
    Location
    UK
    Beans
    16,938
    Distro
    Ubuntu Development Release

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •